Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/pygal: New aport

From: Marian Buschsieweke <marian.buschsieweke_at_ovgu.de>
Date: Wed, 2 May 2018 16:52:22 +0200

pygal is a dynamic SVG charting library written in python
https://pygal.org
---
 testing/pygal/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/pygal/APKBUILD
diff --git a/testing/pygal/APKBUILD b/testing/pygal/APKBUILD
new file mode 100644
index 0000000000..e459f22ec6
--- /dev/null
+++ b/testing/pygal/APKBUILD
_at_@ -0,0 +1,42 @@
+# Maintainer: Marian Buschsieweke <marian.buschsieweke_at_ovgu.de>
+pkgname=pygal
+pkgver=2.4.0
+pkgrel=0
+pkgdesc="pygal is a dynamic SVG charting library written in python"
+url="https://pygal.org"
+arch="noarch"
+license="LGPL3"
+makedepends="python2-dev python3-dev py-setuptools"
+subpackages="py2-${pkgname}:_py2 py3-${pkgname}:_py3"
+source="https://files.pythonhosted.org/packages/source/${pkgname:0:1}/$pkgname/$pkgname-$pkgver.tar.gz"
+builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	python2 setup.py build || return 1
+	python3 setup.py build || return 1
+}
+
+package() {
+	mkdir -p "$pkgdir"
+}
+
+_py2() {
+	_py python2
+}
+
+_py3() {
+	_py python3
+}
+
+_py() {
+	local python="$1"
+	pkgdesc="$pkgdesc (for $python)"
+	depends="$depends $python"
+	install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+	cd "$builddir"
+	$python setup.py install --prefix=/usr --root="$subpkgdir"
+}
+
+sha512sums="5cb95ca5c0cf74ae476953f3503154a305a0b5e42c69191b0b46f6e6cfea8c806713fe175329a69b393654d055997b2063cf3b641e91009a2b7bef219bb49ddb  pygal-2.4.0.tar.gz"
-- 
2.17.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed May 02 2018 - 16:52:22 GMT